KCMAP_GET_RGB_VALUE(3)

EXPERIMENTAL_FUNC
kcmap_get_rgb_value - Get colour data from a colourmap.

SYNOPSIS
#include <karma_kcmap.h>

void kcmap_get_rgb_value

(Kcolourmap cmap, unsigned int index, unsigned short *red, unsigned short *green, unsigned short *blue)

DESCRIPTION
This routine will return an RGB value in a colourmap.

cmap
    The colourmap object.

index
    The index into the colourmap.

red The red component colour value is written here.

green
    The green component colour value is written here.

blue
    The blue component colour value is written here.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/